summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup19
1 files changed, 19 insertions, 0 deletions
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..6ec09822
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+ echo " done."
+fi